### Hierarchy

- EthereumUtils

## Index

### Methods

- createSig
- recoverPersonalSignature

## Methods

### Static createSig

- createSig<T>(privateKey: string, data: MessageData<T>): string

- - Defined in utils/EthereumUtils.ts:10

  #### Type parameters

  - #### T

  #### Parameters

  - ##### privateKey: string

  - ##### data: MessageData<T>

  #### Returns string

### Static recoverPersonalSignature

- recoverPersonalSignature<T>(data: SignedMessageData<T>): string

- - Defined in utils/EthereumUtils.ts:6

  #### Type parameters

  - #### T

  #### Parameters

  - ##### data: SignedMessageData<T>

  #### Returns string

Generated using TypeDoc